#include "stdafx.h"

#include "xtr/xtrServices.h"

namespace xtr {

void Global::SetMessageManager(std::unique_ptr<MessageManager> newMessager) noexcept  {
  messager = std::move(newMessager);
}

Global& Global::Instance() noexcept {
  static Global instance{};
  return instance; 
}

} // namespace xtr
